| Home | Libraries | People | FAQ | More

##### list_tie

###### Description

Constructs a tie using a `list` sequence.

###### Synopsis

    template <typename T0, typename T1,... typename TN>
    list<T0&, T1&,... TN&>
    list_tie(T0& x0, T1& x1... TN& xN);

The variadic function accepts `0` to `FUSION_MAX_LIST_SIZE` elements, where `FUSION_MAX_LIST_SIZE` is a user definable predefined maximum that defaults to `10`. You may define the preprocessor constant `FUSION_MAX_LIST_SIZE` before including any Fusion header to change the default. Example:

    #define FUSION_MAX_LIST_SIZE 20

###### Parameters

Parameter | Requirement | Description
--- | --- | ---
`x0, x1,... xN` | Instances of `T0, T1,... TN` | The arguments to `list_tie`

###### Expression Semantics

    list_tie(x0, x1,... xN);

Return type: `list`<T0&, T1&,... TN&>

Semantics: Create a `list` of references from `x0, x1,... xN`.

###### Header

    #include <boost/fusion/container/generation/list_tie.hpp>
    #include <boost/fusion/include/list_tie.hpp>

###### Example

    int i = 123;
    double d = 123.456;
    list_tie(i, d)